Bug 199132 - Add OverflowScrollProxyNodes to the scrolling tree
Summary: Add OverflowScrollProxyNodes to the scrolling tree
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks: 199133
  Show dependency treegraph
 
Reported: 2019-06-22 17:36 PDT by Simon Fraser (smfr)
Modified: 2019-07-02 20:42 PDT (History)
6 users (show)

See Also:


Attachments
Patch (60.61 KB, patch)
2019-06-22 17:42 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2019-06-22 17:36:08 PDT
Add OverflowScrollProxyNodes to the scrolling tree
Comment 1 Simon Fraser (smfr) 2019-06-22 17:42:22 PDT
Created attachment 372692 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2019-06-22 17:43:03 PDT
<rdar://problem/52024717>
Comment 3 Build Bot 2019-06-22 17:43:29 PDT
Attachment 372692 [details] did not pass style-queue:


ERROR: Source/WebCore/page/scrolling/ScrollingTreeScrollingNode.h:58:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 31 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 WebKit Commit Bot 2019-06-23 12:34:51 PDT
Comment on attachment 372692 [details]
Patch

Clearing flags on attachment: 372692

Committed r246723: <https://trac.webkit.org/changeset/246723>
Comment 5 WebKit Commit Bot 2019-06-23 12:34:52 PDT
All reviewed patches have been landed.  Closing bug.